Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser.document
Class DefaultDTDDocumentBuilder

    java.lang.Object
      |
      +--com.japisoft.dtdparser.document.AbstractDTDDocumentBuilder
            |
            +--com.japisoft.dtdparser.document.DefaultDTDDocumentBuilder

All Implemented Interfaces:
  DTDDocumentBuilder

public class DefaultDTDDocumentBuilder
extends AbstractDTDDocumentBuilder

Default DocumentBuilder

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT
See Also:
  `DTDDocumentBuilder`

Field Summary

Fields inherited from interface com.japisoft.dtdparser.document.DTDDocumentBuilder
`CDATA_ATT_VAL, ENTITIES_ATT_VAL, ENTITY_ATT_VAL, FIXED_ATT, ID_ATT_VAL, IDREF_ATT_VAL, IMPLIED_ATT, INTERNAL_ENTITY, NMTOKEN_ATT_VAL, NMTOKENS_ATT_VAL, PUBLIC_ENTITY, REQUIRED_ATT, SYSTEM_ENTITY`

Constructor Summary
`DefaultDTDDocumentBuilder()`

Method Summary
`void` | `notifyAttribute(java.lang.String element, java.lang.String id, int valueType, java.lang.String[] enum, int attDec, java.lang.String def)` Found an attribute definition
`void` | `notifyComment(java.lang.String comment)` Found a comment
`void` | `notifyElementChoiceItem(java.lang.String item)` Item equals element name or #PCDATA
`void` | `notifyElementIncludeItem(java.lang.String item)` Item equals element name or EMPTY or ANY or #PCDATA
`void` | `notifyEntity(java.lang.String entity, boolean parameter, int type, java.lang.String value)` Found an entity
`void` | `notifyOperator(char op)` Notify operator '+' or '*' or '?'
`void` | `notifyStartDTD()` Start the DTD definition
`void` | `notifyStartElement(java.lang.String e)` Found a tag definition
`void` | `notifyStartElementChildren()` Notify '(' meet for the element declaration
`void` | `notifyStopDTD()` Stop the DTD definition
`void` | `notifyStopElement()` End of the tag definition
`void` | `notifyStopElementChildren()` Notify ')' meet for the element declaration

Methods inherited from class com.japisoft.dtdparser.document.AbstractDTDDocumentBuilder
`getRoot, setNodeFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDTDDocumentBuilder

    public DefaultDTDDocumentBuilder()

Method Detail

### notifyStartDTD

    public void notifyStartDTD()

  Description copied from interface: `DTDDocumentBuilder`
  Start the DTD definition

### notifyStopDTD

    public void notifyStopDTD()

  Description copied from interface: `DTDDocumentBuilder`
  Stop the DTD definition

### notifyComment

    public void notifyComment(java.lang.String comment)

  Description copied from interface: `DTDDocumentBuilder`
  Found a comment

### notifyEntity

    public void notifyEntity(java.lang.String entity,
                             boolean parameter,
                             int type,
                             java.lang.String value)

  Description copied from interface: `DTDDocumentBuilder`
  Found an entity

### notifyStartElement

    public void notifyStartElement(java.lang.String e)

  Description copied from interface: `DTDDocumentBuilder`
  Found a tag definition

### notifyStopElement

    public void notifyStopElement()

  Description copied from interface: `DTDDocumentBuilder`
  End of the tag definition

### notifyElementChoiceItem

    public void notifyElementChoiceItem(java.lang.String item)

  Item equals element name or #PCDATA

### notifyElementIncludeItem

    public void notifyElementIncludeItem(java.lang.String item)

  Item equals element name or EMPTY or ANY or #PCDATA

### notifyStartElementChildren

    public void notifyStartElementChildren()

  Notify '(' meet for the element declaration

### notifyOperator

    public void notifyOperator(char op)

  Notify operator '+' or '*' or '?'

### notifyStopElementChildren

    public void notifyStopElementChildren()

  Notify ')' meet for the element declaration

### notifyAttribute

    public void notifyAttribute(java.lang.String element,
                                java.lang.String id,
                                int valueType,
                                java.lang.String[] enum,
                                int attDec,
                                java.lang.String def)

  Description copied from interface: `DTDDocumentBuilder`
  Found an attribute definition

  Parameters:
    `element` - Element tag
    `id` - Attribute id
    `valueType` - ID, IDREF, ENTITY, ENTITIES, NMTOKEN, NMTOKENS or CDATA
    `enum` - a `String[]` value
    `attDec` - REQUIRED, IMPLIED or FIXED
    `def` - a `String` value or ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD